org.apache.cassandra.transport

## Interface FrameCompressor

- All Known Implementing Classes:
    FrameCompressor.LZ4Compressor, FrameCompressor.SnappyCompressor

      public interface FrameCompressor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `FrameCompressor.LZ4Compressor`
    `static class` | `FrameCompressor.SnappyCompressor`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Frame` | `compress(Frame frame)`
    `Frame` | `decompress(Frame frame)`

- - ### Method Detail

    - #### compress

          Frame compress(Frame frame)
                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### decompress

          Frame decompress(Frame frame)
                    throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation